package models;

import enums.Tipo;

public class Insumo extends Bien {
	private double costo;
	private FamiliaProductora productor;
	
	public Insumo(long id, String nombre, Tipo tipo, double costo, FamiliaProductora productor) {
		super(id, nombre, tipo);
		this.costo = costo;
		this.productor = productor;
	}

	public double getCosto() {
		return costo;
	}

	public void setCosto(double costo) {
		this.costo = costo;
	}

	public FamiliaProductora getProductor() {
		return productor;
	}

	public void setProductor(FamiliaProductora productor) {
		this.productor = productor;
	}
	

}
